class JournalPaper
  include Mongoid::Document
  include Mongoid::Timestamps

  include OrbitModel::Status

  field :paper_title, type: String, localize: true
  field :journal_title, type: String, localize: true
  field :authors, type: String, localize: true
  field :year, type: String
  field :language, type: String
  field :isbn, type: String
  field :vol_no, type: String
  field :issue_no, type: String
  field :form_to_start, type: String
  field :form_to_end, type: String
  field :total_pages, type: String
  field :keywords, type: String
  field :abstract, type: String
  field :publication_date, type: Date
  field :url, type: String
  field :note, type: String

  paginates_per 10
  
  belongs_to :member_profile
end
